Description

| have a group of files that aren't replicating with the error message that | don't have permission to update access rules for one of the
data files. I'm the administrator and both databases (xml_access) show | have all(7) allow permissions on the file via the
data-managers group.

<frenockm_> knb 20101029-10:24:30: [ERROR]: ReplicationHandler.handleSingleXMLDocument - Failed to write doc
pisco_recruitment.1374.1 into db because User: uid=frenockm,0=PISCO,dc=ecoinformatics,dc=0rg does not have permission to
update access rules for data file pisco_recruitment_UCSC.1 [ReplicationLogging]

<jing> then this is a bug. somebody change the code and the replication rules is broken.

<jing> you may file a bug about this.

History

#1 - 10/29/2010 01:42 PM - Jing Tao
Mike:

Can you double check if uid=frenockm,0=PISCO,dc=ecoinformatics,dc=org is the administrator in metacat.properties.

| remember the replication between pisco and knb is single way: PISCO --> KNB. It should NOT have the process to write eml documents and data
files to PISCO. Is it another replication?

#2 - 10/29/2010 01:53 PM - Jing Tao

<frenockm_> | am an administrator in metacat.properties.

<jing> okay.

<frenockm_> the replication is from the UCSB server to OSU server
<frenockm_> the UCSB server also replicates to KNB

<jing> so you are an administrator of OSU.

<frenockm_> yes, and the UCSB PISCO server.

<jing> and the replication is from UCSB to OSU.

<frenockm_> yes

<jing> if this is the case, this is a major bug.

#3-11/01/2010 11:10 AM - ben leinfelder

| don't think this has anything to do with the "administrator" defined in the metacat.properties file.

| looked at the xml_access table on KNB and saw that another metadata file was already controlling the permissions for this data file:
http://knb.ecoinformatics.org/knb/metacat/pisco_recruitment UCSC.18/default

This can't be the first time something like this has come up, but I'm not sure what the approach is when we have two metadata documents attempting
to specify access control for the same data file.

#4 - 11/01/2010 11:25 AM - Jing Tao

Ben:

This happened during the replication. In the replication the access rules should be bypassed. In the early stage, | think we used the user - "null" which
had all permissions to all documents and data. | think somebody thinks "null" is not good idea and changed it to the administrator (but i am not 100%
sure about this).

Thanks,

Jing

#5 - 10/26/2011 03:44 PM - ben leinfelder

In v1.9.5 we use a null replication user to perform replication (rather than the user_owner from the xml_documents table). When replication is
complete for a document, we set the user_owner and user_updated fields with information passed in the document info block.

#6 - 03/27/2013 02:29 PM - Redmine Admin
Original Bugzilla ID was 5234
